Download it now!
Bug 130239 - CRASH: Closing LibreOffice while Infobox is displayed ( gtk3 )
Summary: CRASH: Closing LibreOffice while Infobox is displayed ( gtk3 )
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.1 all versions
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.5.0 target:6.4.1 target:6.3.6
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-01-28 10:20 UTC by Xisco Faulí
Modified: 2020-01-29 10:13 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-01-28 10:20:30 UTC
Steps to reproduce:
1. Open attachment 156594 [details] from bug 129412
2. Click on cell B2 -> Infobox is prompted
3. Close LibreOffice
4. Close the Infobox

-> Crash

Reproduced in

Version: 7.0.0.0.alpha0+
Build ID: aef7feb3e695ecf6d411f0777196dcc4281e201a
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2020-01-28 10:21:47 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=d75144cf44779a8f6cc9bccf9b0a6328b94a5b90

author	Caolán McNamara <caolanm@redhat.com>	2018-02-21 21:20:15 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2018-02-25 20:03:26 +0100
commit	d75144cf44779a8f6cc9bccf9b0a6328b94a5b90 (patch)
tree	25b9f3c677c50ad715e1a0bc6bef3d5bf79ef957
parent	8d42909cd326cb26d8ba1fb383b5578f820c72ed (diff)
convert remaining InfoBox to weld::MessageDialog

Bisected with: bibisect-linux64-6.1

Adding Cc: to Caolán McNamara
Comment 2 Commit Notification 2020-01-28 14:43:47 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/4c741189265847916b9f9a65dc9f119d16e2c4c5

Resolves: tdf#130239 set an explicit parent for the message dialog

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Caolán McNamara 2020-01-28 14:44:24 UTC
fixed in master, backport to 6-4 and 6-3 in gerrit
Comment 4 Commit Notification 2020-01-28 16:59:18 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/160946f5e6e42080e5d7d7f5a56b39fa8abcf4a9

Resolves: tdf#130239 set an explicit parent for the message dialog

It will be available in 6.4.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2020-01-29 09:45:13 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/3572d3e594dd9b2710310820a0604129a0f6a835

Resolves: tdf#130239 set an explicit parent for the message dialog

It will be available in 6.3.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2020-01-29 10:13:19 UTC
Verified in

Version: 7.0.0.0.alpha0+
Build ID: 16cb51aedf38d2f9e10d4398665417ef922eb9fb
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!!